;**************************************************************************
;*
;* FILE  config.asm
;* Copyright (c) 2006 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: config.asm,v 1.2 2006-10-20 19:57:02 tlr Exp $
;*
;* DESCRIPTION
;*   Configuration bytes.
;*
;******

	IFNCONST	AUTO
PORT_MODE_JOY1	equ	1
	ENDIF
		
HEADER_LEN	equ	e_id-s_id

s_id:	
;identity
	dc.b	"- DTVTRANS / TLR -"
;version
	dc.b	0,5
e_id:
; custom configuration.
; 
cfg_hard_video	equ	.-$4000
	IFNCONST HUMMER_NTSC
	dc.b	$ff,$ff,$ff,$ff,$ff,$ff
	ELSE ; HUMMER_NTSC
	dc.b	%00000000	; $d040
	dc.b	$1c,$00,$00	; $d041/$d042/$d043
	dc.b	$00		; $d04e
	dc.b	%00000010	; $d04f
	ENDIF ; HUMMER_NTSC
cfg_dtvtrans_port	equ	.-$4000
	IFCONST PORT_MODE_JOY1
	dc.b	$ff
	ENDIF
	IFCONST PORT_MODE_JOY2
	dc.b	$fe
	ENDIF
	IFCONST PORT_MODE_USER0_4
	dc.b	$fd
	ENDIF

; eof
