/*************************************************************************
 *
 * FILE  boot.hpp
 * Copyright (c) 2006 Daniel Kahlin <daniel@kahlin.net>
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: boot.hpp,v 1.3 2006-10-21 14:51:20 tlr Exp $
 *
 * DESCRIPTION 
 *   boot protocol transfer code
 *
 ******/
#include "util/types.hpp"
// arch dependant
#include "port.hpp"

class Boot 
{
public:
    Boot(Port& pt);
    void send_file(uint16_t start, uint16_t end, uint8_t* data);

private:
    void send_byte_(uint8_t data);
    Port &pt_;
};

/* eof */
