/*************************************************************************
 *
 * FILE  port.hpp
 * Copyright (c) 2005 Daniel Kahlin <daniel@kahlin.net>
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: port.hpp,v 1.6 2007-01-02 21:53:43 tlr Exp $
 *
 * DESCRIPTION 
 *
 ******/

#ifndef PORT_HPP
#define PORT_HPP
#include "../util/types.hpp"
#include <string>

class Port
{
public:
    Port(std::string portbase);
    ~Port();

    uint8_t read();
    void write(uint8_t data);
    void tristate();

private:
    uint8_t ctrl_;
    uint8_t ecr_;
    uint16_t parport_base_;
};


#endif  /* PORT_HPP */
/* eof */
